/* SofChat (Web Chat program SHM version)      */
/* Copyright(c) 1996-1999 Y.YONEYAMA           */
/*                                             */
/* messages.c                                  */

#include <stdio.h>
#include "utils.h"
#include "config.h"
#include "messages.h"

/* Choose a necessary language. */
#include "messages_en.c"
#include "messages_ja.c"
#include "messages_it.c"
#include "messages_ch.c"
#include "messages_kr.c"

/* LANG */
#define EN 0
#define JA 1
#define IT 2
#define CH 3
#define KR 4

/* gtlobal variable */
int LANG = JA; /* default language */
int CONV = 0;

char *languages[] = {
#ifdef MESSAGES_EN
  "en",
#endif
#ifdef MESSAGES_JA
  "ja",
#endif
#ifdef MESSAGES_IT
  "it",
#endif
#ifdef MESSAGES_CH
  "ch",
#endif
#ifdef MESSAGES_KR
  "kr",
#endif
  NULL
};

int count_lang()
{
  int i;
  for(i = 0; languages[i] != NULL; i++);
  return(i);
}

char **messages[] = {
#ifdef MESSAGES_EN
  messages_en,
#endif
#ifdef MESSAGES_JA
  messages_ja,
#endif
#ifdef MESSAGES_IT
  messages_it,
#endif
#ifdef MESSAGES_CH
  messages_ch,
#endif
#ifdef MESSAGES_KR
  messages_kr,
#endif
  NULL
};


char *MSG(id)
int id;
{
  return(messages[LANG][id]);
}

int get_LANG(str)
char *str;
{
  int i;
  for(i = 0; languages[i] != NULL; i++)
   if(strcmp(str, languages[i]) == 0) return i;
  return 0;
}

